<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable value="#{careModes}" var="zfsAttr" id="careModesList" rows="5"
                    render="careModesListds">
        <g:column>
            <ui:define name="header">#{messages['gazelle.PAMSimulator.SetID']}</ui:define>
            <h:outputText value="#{zfsAttr.setId}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.pam.Identifier']}</ui:define>
            <h:outputText value="#{zfsAttr.identifier}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.PAMSimulator.Dates']}</ui:define>
            <dl class="dl-horizontal">
                <dt>#{messages['gazelle.PAMSimulator.Start']}</dt>
                <dd>
                    <g:date value="#{zfsAttr.careStartDateTime}"/>
                </dd>
                <dt>#{messages['gazelle.PAMSimulator.End']}</dt>
                <dd>
                    <g:date value="#{zfsAttr.careEndDateTime}" rendered="#{zfsAttr.careEndDateTime != null}"/>
                    <h:outputText value="#{messages['gazelle.simulator.pam.NA']}" rendered="#{zfsAttr.careEndDateTime == null}"/>
                </dd>
            </dl>
        </g:column>
         <g:column>
             <ui:define name="header">#{messages['gazelle.pam.LegalCareMode']}</ui:define>
             <h:outputText value="#{zfsAttr.mode}"/>
         </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.PAMSimulator.RIMPCode']}</ui:define>
            <h:outputText value="#{zfsAttr.rimpCode}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.simulator.Comment']}</ui:define>
            <h:outputText value="#{zfsAttr.comment}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.simulator.pam.Status']}</ui:define>
            <h:outputText value="#{zfsAttr.action.name}" styleClass="gzl-label #{zfsAttr.action.styleClass}"/>
        </g:column>
         <g:column>
             <ui:define name="header">#{messages['net.ihe.gazelle.patgen.Actions']}</ui:define>
             <s:div styleClass="gzl-never-wrap" rendered="#{not (zfsAttr.action == 'CANCEL')}">
                 <a4j:commandLink title="#{messages['gazelle.simu.Update']}"
                                  actionListener="#{managedBean.updateCareMode(zfsAttr)}"
                                  render="#{idToRendered}">
                     <s:span styleClass="gzl-icon-pencil"/>
                 </a4j:commandLink>
                 <a4j:commandLink title="#{messages['gazelle.HL7Common.Back']}"
                                  actionListener="#{managedBean.cancelCareMode(zfsAttr)}"
                                  render="careModesList">
                     <s:span styleClass="gzl-icon-times"/>
                 </a4j:commandLink>
             </s:div>
         </g:column>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="careModesListds"/>
                <ui:param name="dataTableId" value="careModesList"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>